//---------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop

#include "SDIMain.h"
#include "About.h"

#include "DosCommand.hpp"

//---------------------------------------------------------------------
#pragma link "DosCommand"
#pragma resource "*.dfm"
TSDIAppForm *SDIAppForm;
//---------------------------------------------------------------------
__fastcall TSDIAppForm::TSDIAppForm(TComponent *AOwner)
	: TForm(AOwner)
{
	DosCommand1->CommandLine	= "ping google.com";
	DosCommand1->OutputLines	= Memo1->Lines;
}
//---------------------------------------------------------------------

void __fastcall TSDIAppForm::FileNew1Execute(TObject *Sender)
{
  // Do nothing        
}
//---------------------------------------------------------------------------

void __fastcall TSDIAppForm::FileOpen1Execute(TObject *Sender)
{
  OpenDialog->Execute();        
}
//---------------------------------------------------------------------------

void __fastcall TSDIAppForm::FileSave1Execute(TObject *Sender)
{
  SaveDialog->Execute();        
}
//---------------------------------------------------------------------------


void __fastcall TSDIAppForm::FileExit1Execute(TObject *Sender)
{
  Close();
}
//---------------------------------------------------------------------------

void __fastcall TSDIAppForm::HelpAbout1Execute(TObject *Sender)
{
  AboutBox->ShowModal();        
}
//---------------------------------------------------------------------------

void __fastcall TSDIAppForm::Ping1Click(TObject *Sender)
{
	DosCommand1->Execute();
#if 1
	while(1)
	{
		Application->ProcessMessages();
		if(!DosCommand1->IsRunning)
		{
		    Memo1->Lines->Add("No Running!!");
			break;
		}
	}
#endif
}
//---------------------------------------------------------------------------
//---------------------------------------------------------------------------

void __fastcall TSDIAppForm::DosCommand1Terminated(TObject *Sender)
{
    Memo1->Lines->Add("End!!");
}
